function [hout,datesout]=filltoregular(hin,datesin,datesout,fillvalue)

%FILLTOREGULAR take an irregular timeseries and fill the gaps with
%FILLVALUE
%
%[HOUT,DATESOUT]=FILLTOREGULAR(HIN,DATESIN,DATESOUT,FILLVALUE)
%
% For this to work, DATESOUT should contain DATESIN.
% There is no interpolation or extrapolation.
% If DATESOUT is an output, it is returned in the same orientation (row or column) 
% as DATESIN, regardless of the orientation of DATESOUT in the input.
%
% 
%Joanne Williams, joll@noc.ac.uk, 2018

%Ensure input(s) are column vectors, if not output is in the same format
if isrow(hin)
    returnrowheights=1;
else
    returnrowheights=0;
end

if isrow(datesin)
    returnrowdates=1;
else
    returnrowdates=0;
end

datesin=datesin(:);
hin=hin(:);

hout=repmat(fillvalue,size(datesout));

hout(ismembertol(datesout,datesin))=hin; %use tol to ensure no floating point problems here



if returnrowdates
    datesout=datesout(:)';
end
if returnrowheights
    hout=hout(:)';
end