function [sdate,slevel,sensorbasefile]=loadlocalIOC(datadir,sitecode,sensorname,dateS,dateE)
%LOADLOCALIOC - Load IOC data saved locally in a single file per channel
%
% Note that this is a bit slow because the data is stored as a text file
% with text dates. We could speed it up a lot by storing the dates as
% binaries. But this is deliberate to maintain human readability and consistency
% with the format as available for download from IOC.
%  
% This function is required for TIDEGAUGEQC.
% 
%Joanne Williams, joll@noc.ac.uk, 2018

%Note, (It did speed up a lot parsing the string before passing to datenum)!
%
% Ideally change all storage to NetCDF. 
%
%
sensorbasefile=[sitecode,'_' sensorname  ...
    datestr(dateS,'_yyyymmdd')...
    datestr(dateE,'_yyyymmdd')];


if ~exist([datadir,sensorbasefile '.txt'],'file')
    error([datadir,sensorbasefile '.txt' ' : File does not exist'])
end


fid=fopen([datadir,sensorbasefile '.txt'],'r');

C = textscan(fid,'%f %4f-%2f-%2f %2f:%2f:%2f %s','headerlines',0,'whitespace',' \n\r\t');

fclose(fid);

slevel=C{1};
sdate=datenum(C{2},C{3},C{4},C{5},C{6},C{7});


