%MODNEAR - wrap longitude near a reference point
%
% x=MODNEAR(x,clon)
% x=MODNEAR(x,0) (range is -180,180)
% x=MODNEAR(x,180) (range is 0,360)
%
% Can also be used for other repeats, eg
% x=MODNEAR(x,0,5)
% returns MOD with range -2.5,2.5
%
%
% Joanne Williams, joll@noc.ac.uk Oct 2018 (latest)

function x=modnear(x,clon,wrapat)
if nargin<3 
    wrapat=360;
end
x=mod(x-clon+wrapat/2,wrapat)+clon-wrapat/2;

%Default: x=mod(x-clon+180,360)+clon-180;
end