% READCTL - read control file for tidal processing
%
%sigm is returned in  degrees/hour.
%So 360./sigm1(1)/24 is 365.2425 (annual = 365.24 days/revolution) etc
% 360./sigm1(16)/24 = 1 'S1'    
% 360./sigm1(31)/24 = 0.5175 'M2'     
%
% from Simon Williams 2018

function [sigm,sigrel,relamp,relpha,names] = readctl(filename)

fp = fopen(filename,'r');

for j = 1:4
	s = fgetl(fp);
end
s = fgetl(fp);
[nsig,nrel] = strread(s,'%d %d');

sigm   = zeros(nsig+nrel,1);
sigrel = zeros(nrel,1);
relamp = zeros(nrel,1);
relpha = zeros(nrel,1);

for j = 1:nsig
	s = fgetl(fp);
	[names(j,1),sigm(j,1)] = strread(s,'%s %d');
end

sigm = sigm ./ 1e7;

for j = 1:nrel
	s = fgetl(fp);
	[sigm(j+nsig,1),sigrel(j),relamp(j),relpha(j)] = strread(s,'%*s %*s %f %f %f %f');
end
fclose(fp);
